Package org.benf.cfr.reader.api

# Interface SinkReturns.DecompiledMultiVer

All Superinterfaces:
  `SinkReturns.Decompiled`

Enclosing interface:
  `SinkReturns`

public static interface SinkReturns.DecompiledMultiVer extends SinkReturns.Decompiled
Extends `SinkReturns.Decompiled` to describe which version of JVM this class is visible from. (if JEP238 applies)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getRuntimeFrom()`
  Returns the version of the runtime that this class is visible from.

  ### Methods inherited from interface org.benf.cfr.reader.api.SinkReturns.Decompiled

  `getClassName, getJava, getPackageName`

- ## Method Details

  - ### getRuntimeFrom

    int getRuntimeFrom()
    Returns the version of the runtime that this class is visible from. If the jar is not a JEP238 (multi version) jar (or this is not a version override class), then this will be 0.
    Returns:
      visible from JRE version.